/*****************************************************************************/
/*                                                                           */
/* Version:  2.3   Date:  06/10/2010   File: main.c                          */
/* Author:  Marco Chiarandini                                                */
/* email: marco@imada.sdu.dk                                                 */
/*                                                                           */
/*****************************************************************************/


#include <stdio.h>
#include <stdlib.h>
#include "test_sol.h"


int *solution;

long int TOT_WEIGHT;
 int SIZE;

const char *instance_name;
const char *solution_name;


long int **adjacency_matrix;
long int *weight;

int problem;
int not_complete;



int main( argc, argv )
     int     argc;
     char    *argv[];
{

  char proper;

  checkOptions("test_sol", argc, argv );

  read_dimacs();
  readSolution();
  proper = checkSolution();
  /*num_of_viol = count_violations();*/
  
  
  printf("\ninstance: %s\n",instance_name);
  printf("solution: %s\n",solution_name);
    
  if (proper)
    {
      printf("+------------------------------------------------------------+\n");
      printf("| The proposed solution is a clique.                         |\n");
      printf("| It has %3d vertices and total weight of %4ld               |\n",SIZE,TOT_WEIGHT);
      printf("+------------------------------------------------------------+\n");   
    }
  else 
    {
      printf("+---------------------------------------------------------+\n");
      printf("| The proposed solution, which includes %3d vertices      |\n",SIZE);
      printf("| is NOT a clique!                                        |\n");
      printf("| The number of nodes not linked to all others is %3d     |\n",not_complete);
      printf("+---------------------------------------------------------+\n");
    }

  return EXIT_SUCCESS;
}
